%define upstream_name    WWW-Shorten
%define upstream_version 3.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Perl interface to makeashorterlink.com
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Config::Auto)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(LWP) >= 5.750.0
BuildRequires: perl(LWP::UserAgent) >= 2.23.0
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl(URI) >= 1.270.0
BuildArch:  noarch

%description
The function 'makeashorterlink' will call the relevant web site passing it
your long URL and will return the shorter version.

The function 'makealongerlink' does the reverse. 'makealongerlink' will
accept as an argument either the full shortened URL or just the identifier.

If anything goes wrong, then either function will return 'undef'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# Disable this test, is relies on tinyurl.com server and often fails
rm -f t/tinyurl.t

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc AUTHORS CREDITS Changes INSTALL LICENCE META.json META.yml MYMETA.yml README TODO
%{_mandir}/man3/*
%perl_vendorlib/*
%{_bindir}/shorten
%{_mandir}/man1/shorten.1*


%changelog
* Sat Jan 04 2014 pterjan <pterjan> 3.40.0-3.mga4
+ Revision: 564544
- Disable tinyurl test, it relies on their server and often fails

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Tue Sep 24 2013 sander85 <sander85> 3.40.0-1.mga4
+ Revision: 485739
- update to 3.04

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 3.30.0-1.mga3
+ Revision: 255574
- update to 3.03

* Sun Jan 23 2011 jquelin <jquelin> 3.20.0-1.mga1
+ Revision: 34449
- mageia rebuild
- imported package perl-WWW-Shorten

